summaryrefslogtreecommitdiff
path: root/tests/mv
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
committerJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
commit112efa81f24ead69a3a9b6ae76f601911535352c (patch)
treedc10a3855c2b2a118ebf08a2df2710377dcff8d7 /tests/mv
parent11f05299f96e39d58356f83d09811487235c5f4c (diff)
downloadcoreutils-112efa81f24ead69a3a9b6ae76f601911535352c.tar.xz
Replace all occurrences of `(exit N); exit' with
`(exit N); exit N'. Otherwise, those many tests could exit with improper exit status when exiting via e.g., a trapped interrupt. Thanks to a report from Bob Proulx.
Diffstat (limited to 'tests/mv')
-rwxr-xr-xtests/mv/childproof4
-rwxr-xr-xtests/mv/dup-source4
-rwxr-xr-xtests/mv/i-34
-rwxr-xr-xtests/mv/i-link-no4
-rwxr-xr-xtests/mv/into-self-44
-rwxr-xr-xtests/mv/mv-special-16
-rwxr-xr-xtests/mv/part-fail6
-rwxr-xr-xtests/mv/part-hardlink6
-rwxr-xr-xtests/mv/part-rename6
-rwxr-xr-xtests/mv/part-symlink4
-rwxr-xr-xtests/mv/perm-14
-rwxr-xr-xtests/mv/trailing-slash2
-rwxr-xr-xtests/mv/update4
13 files changed, 29 insertions, 29 deletions
diff --git a/tests/mv/childproof b/tests/mv/childproof
index bdb2215c0..c1e339ac2 100755
--- a/tests/mv/childproof
+++ b/tests/mv/childproof
@@ -26,7 +26,7 @@ echo b > b/f || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -72,4 +72,4 @@ test -f b/g && fail=1 # b/g should have been moved
test -f c/f || fail=1
test -f c/g || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/mv/dup-source b/tests/mv/dup-source
index 402853828..ad2b7eb3f 100755
--- a/tests/mv/dup-source
+++ b/tests/mv/dup-source
@@ -25,7 +25,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -70,4 +70,4 @@ EOF
test $fail = 1 && diff out exp 2> /dev/null
done
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/mv/i-3 b/tests/mv/i-3
index 40704708a..68207a0bf 100755
--- a/tests/mv/i-3
+++ b/tests/mv/i-3
@@ -24,7 +24,7 @@ chmod 0 g i || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -52,4 +52,4 @@ case "`cat out`" in
*) fail=1 ;;
esac
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/mv/i-link-no b/tests/mv/i-link-no
index ed72164ab..ab93d9214 100755
--- a/tests/mv/i-link-no
+++ b/tests/mv/i-link-no
@@ -26,7 +26,7 @@ chmod a-w b/bar || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -49,4 +49,4 @@ case "`cat b/foo`" in
*) fail=1;;
esac
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/mv/into-self-4 b/tests/mv/into-self-4
index f0e1de668..6aaf35d86 100755
--- a/tests/mv/into-self-4
+++ b/tests/mv/into-self-4
@@ -22,7 +22,7 @@ ln -s file s || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -34,4 +34,4 @@ mv s s 2> /dev/null && fail=1
# Before 4.0.36, `s' would have been removed.
test -f s || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/mv/mv-special-1 b/tests/mv/mv-special-1
index 9a860cc22..f7cf40328 100755
--- a/tests/mv/mv-special-1
+++ b/tests/mv/mv-special-1
@@ -16,7 +16,7 @@ trap '(exit $?); exit' 1 2 13 15
. $srcdir/../lang-default
if test -z "$other_partition_tmpdir"; then
- (exit 77); exit
+ (exit 77); exit 77
fi
null=mv-null
@@ -37,7 +37,7 @@ if test $framework_failure = 1; then
# exit 77 here to indicate that we couldn't run the test.
# At least running on SunOS 4.1.4, using a directory NFS mounted
# from an OpenBSD system, the above mknod fails.
- (exit 77); exit
+ (exit 77); exit 77
fi
fail=0
@@ -80,4 +80,4 @@ cmp out2 exp || fail=1
# cd $other_partition_tmpdir
# ls -l -A -R $other_partition_tmpdir
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/mv/part-fail b/tests/mv/part-fail
index 09d29df50..326d5bc1f 100755
--- a/tests/mv/part-fail
+++ b/tests/mv/part-fail
@@ -20,7 +20,7 @@ trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
if test -z "$other_partition_tmpdir"; then
- (exit 77); exit
+ (exit 77); exit 77
fi
t0="$t0 $other_partition_tmpdir"
@@ -32,7 +32,7 @@ chmod u-w $other_partition_tmpdir || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -59,4 +59,4 @@ else
fi
test $fail = 1 && diff out exp 2> /dev/null
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/mv/part-hardlink b/tests/mv/part-hardlink
index 133fd9354..a6d0654b1 100755
--- a/tests/mv/part-hardlink
+++ b/tests/mv/part-hardlink
@@ -18,7 +18,7 @@ trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
if test -z "$other_partition_tmpdir"; then
- (exit 77); exit
+ (exit 77); exit 77
fi
t0="$t0 $other_partition_tmpdir"
@@ -33,7 +33,7 @@ ln a/1 b/1 || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -47,4 +47,4 @@ test $1 = $3 || fail=1
set - `ls -Ci a/1 b/1`
test $1 = $3 || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/mv/part-rename b/tests/mv/part-rename
index e908c55c8..f8a142589 100755
--- a/tests/mv/part-rename
+++ b/tests/mv/part-rename
@@ -17,7 +17,7 @@ trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
if test -z "$other_partition_tmpdir"; then
- (exit 77); exit
+ (exit 77); exit 77
fi
t0="$t0 $other_partition_tmpdir"
@@ -28,11 +28,11 @@ mkdir foo || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
mv foo/ $other_partition_tmpdir/bar || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/mv/part-symlink b/tests/mv/part-symlink
index e009b8449..b7dbfe67f 100755
--- a/tests/mv/part-symlink
+++ b/tests/mv/part-symlink
@@ -25,7 +25,7 @@ pwd_tmp=$pwd/$tmp
(unset CDPATH) >/dev/null 2>&1 && unset CDPATH
if test -z "$other_partition_tmpdir"; then
- (exit 77); exit
+ (exit 77); exit 77
fi
framework_failure=0
@@ -209,4 +209,4 @@ EOF
cmp $expected $actual \
|| { diff -c $expected $actual 1>&2; fail=1; }
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/mv/perm-1 b/tests/mv/perm-1
index 4f00690b8..d7afc5f4c 100755
--- a/tests/mv/perm-1
+++ b/tests/mv/perm-1
@@ -24,7 +24,7 @@ chmod u-w no-write || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -37,4 +37,4 @@ EOF
cmp out exp || fail=1
test $fail = 1 && diff out exp 2> /dev/null
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/mv/trailing-slash b/tests/mv/trailing-slash
index 8658e17e7..a81d178a8 100755
--- a/tests/mv/trailing-slash
+++ b/tests/mv/trailing-slash
@@ -28,4 +28,4 @@ fail=0
mv foo/ bar || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/mv/update b/tests/mv/update
index 74cd3a21e..ba6f8276c 100755
--- a/tests/mv/update
+++ b/tests/mv/update
@@ -24,7 +24,7 @@ echo new > new || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -51,4 +51,4 @@ cp --update new old || fail=1
case "`cat old`" in new) ;; *) fail=1 ;; esac
case "`cat new`" in new) ;; *) fail=1 ;; esac
-(exit $fail); exit
+(exit $fail); exit $fail